File: changelog

package info (click to toggle)
at-spi2-atk 2.38.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 1,260 kB
  • sloc: ansic: 16,235; xml: 188; sh: 22; makefile: 15
file content (781 lines) | stat: -rw-r--r-- 24,839 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
749
750
751
752
753
754
755
756
757
758
759
760
761
762
763
764
765
766
767
768
769
770
771
772
773
774
775
776
777
778
779
780
781
at-spi2-atk (2.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Sep 2020 21:49:15 +0200

at-spi2-atk (2.37.90-1) experimental; urgency=medium

  [ Samuel Thibault ]
  * New upstream beta
    - control: Bump libatk1.0-dev build-dep version.
  * control: Update alioth list domain.
  * rules: Drop now-default -Wl,--as-needed option.
  * control: Bump Standards-Version to 4.5.0 (no change)

  [ Iain Lane ]
  * New upstream release
    + Meson: don't hard-code shared_library
    + Mitigate missing window events at startup
    + Set C standard to gnu99
    + Tests: include sys/time.h
    + patches/startup_events: upstreamed

  [ Marcus Tomlinson ]
  * control: Make libatk-bridge2.0-dev depend on libatk1.0-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Aug 2020 17:33:29 +0200

at-spi2-atk (2.34.1-3) unstable; urgency=medium

  [ Steve Langasek ]
  * debian/tests/tests: Make autopkgtests cross-test-friendly
    (Closes: Bug#946292).

  [ Samuel Thibault ]
  * debian/tests/tests: Use cross-pkg-config.
  * debian/control: Drop libdbus-glib-1-dev build-dep, unused.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
  Repository-Browse.
  * Remove unused license definitions for GPL-2+.
  * Update standards version to 4.4.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 18 Mar 2020 17:48:58 +0100

at-spi2-atk (2.34.1-2) unstable; urgency=medium

  * patches/startup_events: Fix announcement of firefox startup.
  * libatk-bridge2.0-0.symbols: Update accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2019 23:19:46 +0100

at-spi2-atk (2.34.1-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Update debian/gbp.conf

  [ Samuel Thibault ]
  * watch: Generalize pattern.

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 10 Oct 2019 06:45:47 -0400

at-spi2-atk (2.34.0-3) unstable; urgency=medium

  * rules, tests/tests: Prevent Xvfb from resetting between clients, it
    seems to be creating a period of time during which clients can't connect
    (Closes: Bug#940018)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Sep 2019 15:07:53 +0200

at-spi2-atk (2.34.0-2) unstable; urgency=medium

  * tests/dbus-daemon: Send all dbus output to stdout, for debuggability

 -- Samuel Thibault <sthibault@debian.org>  Fri, 13 Sep 2019 11:47:39 +0200

at-spi2-atk (2.34.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Sep 2019 23:01:58 +0200

at-spi2-atk (2.33.92-1) experimental; urgency=medium

  * New usptream beta release.
    - patches/tests: upstreamed.
    - patches/test_nanosleep: upstreamed.
    - patches/tests-fix: upstreamed.
    - patches/cache-adaptor: upstreamed.
    - patches/desktop_name_init: upstreamed.
  * control: Fix libatk1.0-dev build-dep version according to artificial
    atk1.0 version bump (Closes: #935782)
  * control, tests/control: Bump dependency on at-spi2-core to get fix in
    get_items.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Sep 2019 00:50:15 +0200

at-spi2-atk (2.33.91-1) experimental; urgency=medium

  * New usptream release (Closes: #935247)
    - control: Bump libatk1.0-dev and libatspi2.0-dev build-dep versions
      accordingly.
    - patches/lazy_reg: upstreamed.
    - patches/main_context: upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Aug 2019 22:33:25 +0200

at-spi2-atk (2.32.0-8) UNRELEASED; urgency=medium

  * tests/tests: Fix temporary directory path.
  * tests/control: Use @builddeps@ instead of copying them.
  * libatk-adaptor.lintian-overrides: Suppress some warning.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Aug 2019 01:23:40 +0200

at-spi2-atk (2.32.0-7) unstable; urgency=medium

  * rules: Run xvfb before dbus session, to make sure dbus doesn't catch host
    X display.
  * debian/tests/tests: Do not start at-spi session by hand, dbus should be
    doing it.
  * debian/tests/use_system_atk_adaptor.patch: Move to debian/patches.
  * patches/desktop_name_init: Fix orca -s startup.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Aug 2019 11:44:19 +0200

at-spi2-atk (2.32.0-6) unstable; urgency=medium

  * patches/cache-adaptor: Fix crash when no toolkit name is set
  * tests/tests: Do not completely drop stderr, log it to stdout.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Aug 2019 20:14:43 +0200

at-spi2-atk (2.32.0-5) unstable; urgency=medium

  * patches/test_nanosleep: Increase timeout to 2m, mips64el seems to need a
    long time.
  * patches/tests-fix: Fix float values to be representable exactly.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Aug 2019 10:48:27 +0200

at-spi2-atk (2.32.0-4) unstable; urgency=medium

  * patches/tests: Really run tests.
  * patches/test_nanosleep: Accelerate tests.
  * tests: Run tests in autopkgtest.
  * rules: Make xvfb-run allocate a server number.
  * control: Depend on at-spi2-core which does not produce spurious warnings
    which make the testsuite fail.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 25 Aug 2019 19:30:31 +0200

at-spi2-atk (2.32.0-3) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * patches/lazy_reg: Defer registration to at-spi, in case the application
    doesn't actually run the at-spi glib loop (Closes: #934093)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Aug 2019 22:03:20 +0200

at-spi2-atk (2.32.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Jul 2019 19:37:08 +0200

at-spi2-atk (2.32.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump libatk1.0-dev to >= 2.31.1 and libatspi2.0-dev to >= 2.31.2

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Mar 2019 01:28:07 -0400

at-spi2-atk (2.30.0-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Honour DEB_BUILD_OPTIONS=nocheck. (Closes: #922882)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Feb 2019 20:39:40 +0100

at-spi2-atk (2.30.0-4) unstable; urgency=medium

  * Move 90atk-adaptor.conf to /etc to allow administrators to disable it if
    needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Feb 2019 16:15:06 +0100

at-spi2-atk (2.30.0-3) unstable; urgency=medium

  * 90atk-adaptor.conf: Set gail & atk in GTK_MODULES in Wayland sessions too.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Feb 2019 16:01:21 +0100

at-spi2-atk (2.30.0-2) unstable; urgency=medium

  * Team upload
  * Build with -Wl,-z,defs -Wl,--as-needed
  * debian/copyright: Drop obsolete autotools references

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 04 Oct 2018 10:24:31 -0400

at-spi2-atk (2.30.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Bump libatk1.0-dev to >= 2.29.92 and libatspi2.0-dev to >= 2.29.91
  * Build-Depend on at-spi2-core, dbus & xvfb for build tests
  * debian/rules: run build tests

  [ Samuel Thibault ]
  * Bump Standards-Version to 4.2.0 (no changes).

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Sep 2018 20:03:40 -0400

at-spi2-atk (2.26.2-2) unstable; urgency=high

  * control: Make sure we upgrade libatk-bridge2.0-0 along libatk-adaptor.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Apr 2018 13:49:14 +0200

at-spi2-atk (2.26.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Mar 2018 10:54:43 -0400

at-spi2-atk (2.26.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build with meson
  * Enable all hardening flags
  * Bump debhelper compat to 10
  * Update debian/watch

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 25 Nov 2017 23:29:18 -0500

at-spi2-atk (2.26.0-2) unstable; urgency=medium

  * Team upload.

  [ Jeremy Bicha ]
  * Provide compatibility with unity-settings-daemon

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Remove old libatk-adaptor-data transitional package
    (Closes: Bug#878204).

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 27 Oct 2017 23:21:21 -0400

at-spi2-atk (2.26.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control:
    - Bump libatk1.0-dev dependnecy to >= 2.25.2
    - Bump libatspi2.0-dev dependency to >= 2.25.3

  [ Samuel Thibault ]
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.0.

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Sep 2017 21:07:56 -0400

at-spi2-atk (2.24.1-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Drop patches applied in new release:
    - git-7cdc1f91c9802b0b8ecd2afea38c1717b1921736
    - git-8d3cc68f7bc62c7015d986212be0d5d776920ee2

  [ Samuel Thibault ]
  * control: Remove Mario from Uploaders (Closes: Bug#840862).
  * control: Update maintainer mailing list.
  * Use canonical anonscm vcs URL.

  [ Paul Gevers ]
  * Rewrite d/copyright with some aid of cme

 -- Paul Gevers <elbrus@debian.org>  Tue, 04 Jul 2017 20:37:15 +0200

at-spi2-atk (2.22.0-2) unstable; urgency=medium

  * patches/git-7cdc1f91c9802b0b8ecd2afea38c1717b1921736: Fix GList handling
    resulting in memory corruption.
  * patches/git-8d3cc68f7bc62c7015d986212be0d5d776920ee2: Fix use after free
    when returned objects hold only one ref.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 May 2017 21:35:33 +0200

at-spi2-atk (2.22.0-1) unstable; urgency=medium

  * New upstream release.
    - patches/init: Drop patch, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 01 Oct 2016 22:09:42 +0200

at-spi2-atk (2.20.1-4) unstable; urgency=medium

  * patches/init: Properly return initialization failure when bridge is
    disabled.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Aug 2016 21:00:09 +0200

at-spi2-atk (2.20.1-3) unstable; urgency=medium

  * control: Remove libgail-common dependency, now that gtk recommends it
    already.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Aug 2016 20:46:37 +0200

at-spi2-atk (2.20.1-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.8 (no change)

  [ Martin Pitt ]
  * debian/90atk-adaptor: Export $GTK_MODULES to dbus user session as well.
    (Closes: #825831).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 May 2016 20:09:10 +0200

at-spi2-atk (2.20.1-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * debian/patches/p2p: Dropped, applied upstream
  * debian/patches/main_context: Refreshed

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Apr 2016 01:37:29 +0200

at-spi2-atk (2.18.1-3) unstable; urgency=medium

  * patches/p2p: New patch to fix accessibility in Debian installer running in
    debian Live.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Mar 2016 01:26:25 +0100

at-spi2-atk (2.18.1-2) unstable; urgency=medium

  * rules: Clear.
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * patches/main_context: New patch to allow java_atk_wrapper to use its own
    glib main_context instead of the default one.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Feb 2016 00:30:05 +0100

at-spi2-atk (2.18.1-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Oct 2015 13:41:08 +0200

at-spi2-atk (2.18.0-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * Bump libatspi2.0-dev build dependency to >= 2.17.90

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Sep 2015 23:32:59 +0200

at-spi2-atk (2.16.0-2) unstable; urgency=medium

  * install 90atk-adaptor in /etc/X11/Xsession.d to enable accessibility by
    default in gtk2 applications.
  * control: make sure that we have libgail-common along libatk-adaptor, so
    both modules can be enabled at the same time.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Sep 2015 13:58:13 +0200

at-spi2-atk (2.16.0-1) unstable; urgency=low

  * New upstream release.

 -- Mario Lang <mlang@debian.org>  Tue, 05 May 2015 23:53:21 +0200

at-spi2-atk (2.14.0-2) unstable; urgency=medium

  * Cherry-pick c8cda37e28307ad195996ad54b9ee1680cca3ec3 from upstream, to fix
    gtktreeview speed issue described on
    https://bugzilla.gnome.org/show_bug.cgi?id=728319
    Thanks Laurent Bigonville for the notice.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Oct 2014 00:36:03 +0200

at-spi2-atk (2.14.0-1) unstable; urgency=medium

  * New upstream release.
    - patches/requires.private.patch: Remove patch, merged upstream.
  * watch: Only track even releases.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Oct 2014 22:24:36 +0200

at-spi2-atk (2.12.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Remove unused Build-Depends on libglib2.0-bin.
  * debian/control: Add myself to Uploaders.
  * debian/control: Fix Vcs-Browser URL.
  * debian/control: Adjust version of required libatspi-2 to 2.11.2.
  * Drop hardening-wrapper and replace with dpkg-buildflags.

 -- Mario Lang <mlang@debian.org>  Tue, 08 Jul 2014 23:31:16 +0200

at-spi2-atk (2.10.2-3) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * patches/requires.private.patch: New patch to fix typo in .pc file.
    (Closes: #734490)
  * control: Make libatk-bridge2.0-dev depend on libatspi2.0-dev.

  [ Paul Gevers ]
  * Update watch file
  * Update homepage

 -- Samuel Thibault <sthibault@debian.org>  Sat, 19 Apr 2014 21:35:28 +0200

at-spi2-atk (2.10.2-2) unstable; urgency=medium

  [ Steve Langasek ]
  * control: Build-depend on dh-autoreconf.
  * rules: Pass --with autoreconf to dh. (Closes: #733685)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Jan 2014 14:15:29 +0100

at-spi2-atk (2.10.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Dec 2013 19:36:42 +0100

at-spi2-atk (2.10.0-2) experimental; urgency=low

  * Upload to experimental.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Sep 2013 00:47:30 +0200

at-spi2-atk (2.10.0-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * Bump libatspi build depend to >= 2.9.90
  * Bump libatk-dev build dependency to >= 2.9.4

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Sep 2013 23:45:06 +0200

at-spi2-atk (2.9.5-2) unstable; urgency=low

  * Add libatk-bridge2.0-0-udeb package, needed by libgtk-3-0-udeb.
    (Closes: #723163)
  * Add libatk-adaptor-udeb, for future accessibility of graphical installer.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Sep 2013 11:14:41 +0200

at-spi2-atk (2.9.5-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: Drop the gconf2 build dependency, its no longer needed,
    and causes issues with GTK 3 in Ubuntu. (Closes: #717768)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Aug 2013 23:17:58 +0200

at-spi2-atk (2.9.4-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jul 2013 19:13:43 +0200

at-spi2-atk (2.9.3-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: Bump libatspi2.0-dev to >= 2.9.3

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Jun 2013 00:22:44 +0200

at-spi2-atk (2.9.2-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 May 2013 23:24:03 +0200

at-spi2-atk (2.8.1-2) unstable; urgency=low

  * Upload to unstable

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 May 2013 00:58:57 +0200

at-spi2-atk (2.8.1-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Apr 2013 01:32:03 +0200

at-spi2-atk (2.8.0-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Mar 2013 22:48:24 +0100

at-spi2-atk (2.7.91-1) experimental; urgency=low

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Mar 2013 17:55:59 +0100

at-spi2-atk (2.7.5-1) experimental; urgency=low

  [ Samuel Thibault ]
  * Make libatk-bridge2.0-dev multi-arch: same.

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: Bump build dependency version requirements.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Feb 2013 23:00:57 +0100

at-spi2-atk (2.7.3-1) experimental; urgency=low

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Dec 2012 23:36:02 +0100

at-spi2-atk (2.7.2-1) experimental; urgency=low

  [ Samuel Thibault ]
  * control: Build-depend on atspi-2 2.5.92 or later to fix spurious dbus
    closure. Closes: #691018.

  [ Luke Yelavich ]
  * New upstream release

  [ Samuel Thibault ]
  * Update copyright file.
  * control: Add misc:Depends to libatk-adaptor-data.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Oct 2012 11:09:39 +0100

at-spi2-atk (2.7.1-1) experimental; urgency=low

  * New upstream release
    - patches/atk-adaptor-schema-gtk-2-0.patch: Remove patch, schema removed
    upstream.
    - libatk-adaptor-data.install: The schema file is not shipped any more.
    - control: Document now-empty libatk-adaptor-data as a dummy package.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Oct 2012 22:21:58 +0200

at-spi2-atk (2.6.0-1) experimental; urgency=low

  * docs: Add NEWS and README files.
  * control: Remove intltool dependency.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Sep 2012 18:49:06 +0200

at-spi2-atk (2.6.0-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fix some crashes in atk_bridge_adaptor_cleanup (BGO#684434).
    - When the cache is activated, register it on the main D-Bus connection.
  * debian/patches/Fix-crashes-in-atk_bridge_adaptor_cleanup.patch: Dropped,
    applied upstream.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 25 Sep 2012 09:45:37 +1000

at-spi2-atk (2.5.92-0ubuntu2) quantal; urgency=low

  * debian/patches/Fix-crashes-in-atk_bridge_adaptor_cleanup.patch:
    - Fix a crash which is triggered when any GTK application exits.
      (LP: #1053112)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 21 Sep 2012 09:49:59 +1000

at-spi2-atk (2.5.92-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fix atspi_hyperlink_get_uri (BGO#683182).
    - Only initialize the cache when an AT is running.
    - Fix various memory leaks (BGO#683979, BGO#684077)
  * Remove references to /usr/share/locale.
  * debian/patches/atk-adaptor-schema-gtk-2-0.patch: Point to the GTK2 module
    by default, since the GTK3 module is no longer around. Not many apps
    use this gsettings key, if anything Unity is the last one left, but for
    now we should point to a module that exists for those apps that need it.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Sep 2012 14:31:04 +1000

at-spi2-atk (2.5.91-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1046582)
    - Removed the gtk 3.0 module (BGO#678315).

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Sep 2012 09:22:28 +1000

at-spi2-atk (2.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Don't leak a GError when option parsing fails (BGO#679296)
    - Rework some inefficient code when removing clients and events
      (BGO#679295, BGO#679297).

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 21 Aug 2012 11:29:28 +1000

at-spi2-atk (2.5.5-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Implement GetLocalizedName for actions (BGO#680598)
    - Allow to build out of source directory (BGO#680280).

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 07 Aug 2012 12:07:02 +1000

at-spi2-atk (2.5.4-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fix for bug #679013 - AtspiCollection should be implemented for
      all containers
    - Don't create a (non-readable) subdirectory for the socket when root.
    - Plug ref count leaks (BGO#679285).
    - Only create a directory and a socket when requested. (LP: #1020512)
    - Only add items to the cache on children-changed if the children are
      included in the event.
    - Only send PropertyChange signals used for caching, absent listeners.
  * debian/patches/git_refcount_leak.patch: Dropped, applied upstream.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 17 Jul 2012 09:47:36 +1000

at-spi2-atk (2.5.3-1ubuntu1) quantal; urgency=low

  * debian/patches/git_refcount_leak.patch:
    - git patches to fix refcount issues leading to gtk bugs

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Jul 2012 22:43:56 +0200

at-spi2-atk (2.5.3-2) unstable; urgency=low

  * patches/leak*: Cherry-pick from upstream: fix reference leaks.
  * patches/socket*: Cherry-pick from upstream: mitigate at-spi socket
    creation. (Closes: #688094)
  * patches/lv: Cherry-pick from upstream: lv translation update.
  * patches/pl: Cherry-pick from upstream: pl translation update.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Sep 2012 16:28:06 +0200

at-spi2-atk (2.5.3-1) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Fix Homepage URL, thanks DUCK!
  * copyright: Update.

  [ Luke Yelavich ]
  * New upstream release. (Closes: #678026)
  * Add libatk-bridge2.0 series of packages for the newly introduced
    libatk-bridge shared library.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jun 2012 23:35:36 -0300

at-spi2-atk (2.5.2-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Jun 2012 00:06:59 +0200

at-spi2-atk (2.5.1-1) unstable; urgency=low

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 May 2012 01:30:02 +0200

at-spi2-atk (2.4.0-3) unstable; urgency=low

  * Rename libatk-adaptor-schemas to libatk-adaptor-data, and move message
  translations to it (closes: Bug#669986).
  * Make it not multi-arch:foreign, to make sure we do not install the
  non-native version, which would break use of the schema for native
  applications (while unbreaking for non-native ones). Make libatk-adaptor
  recommend it, not depend on it, so that it does not have to be foreign.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Apr 2012 18:08:43 +0200

at-spi2-atk (2.4.0-2) unstable; urgency=low

  [ Jordi Mallach ]
  * Get rid of source/options, to get standard compression of the debian.tar.

  [ Samuel Thibault ]
  * debian/control: make libatk-adaptor depend on libatk-adaptor-schemas, not
    only suggest it, to make sure it gets installed. Also depend on the same
    version for safety.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Apr 2012 01:25:31 +0200

at-spi2-atk (2.4.0-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release
  * debian/control: libatk-adaptor should also provides: at-spi

  [ Jordi Mallach ]
  * Add myself to Uploaders.
  * Bump debhelper to v9.
  * Update Vcs-* URLs.

 -- Jordi Mallach <jordi@debian.org>  Thu, 29 Mar 2012 15:48:06 +0200

at-spi2-atk (2.3.92-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Mar 2012 01:10:10 +0100

at-spi2-atk (2.3.91-1) unstable; urgency=low

  * New upstream release.
  * watch: Include odd versions again, use .xz suffix.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 Mar 2012 02:11:59 +0100

at-spi2-atk (2.3.90-1) unstable; urgency=low

  [ Luke Yelavich ]
  * New upstream release.
  * Build for multi-arch, split out the schema file into a separate package, as
    the contents of the file differ between architectures

  [ Samuel Thibault ]
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * control: Bump Standards-Version to 3.9.3 (no changes).

  [ Jason White ]
  * Add libatk-adaptor-dbg debugging package.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Feb 2012 15:55:59 +0100

at-spi2-atk (2.0.2-1) experimental; urgency=low

  [ Mario Lang ]
  * Initial Debian packages. (Closes: Bug#540336)

  [ Luke Yelavich ]
  * New upstream releases.

  [ Samuel Thibault ]
  * Add myself as uploader.

  [ Luke Yelavich ]
  * Make debian/copyright follow DEP5

 -- Mario Lang <mlang@debian.org>  Mon, 25 Jul 2011 12:17:37 +0200